Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.security.authorization
Interface PredicateReaderMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  PredicateEditorMBean

    public interface PredicateReaderMBean

extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean

This MBean reads data about predicates and their arguments. This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Method Summary
`String[]` | `getRegisteredPredicates(String nameFilter)` Returns an array of class names of the registered predicates.
`boolean` | `isRegisteredPredicate(String predicateClassName)` Specifies whether or not the predicate with specified class name is registered.

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### isRegisteredPredicate

    boolean isRegisteredPredicate(String predicateClassName)

  Specifies whether or not the predicate with specified class name is registered.

  Parameters:
    `predicateClassName` - The name of the Java class that implements the predicate.
  Returns:
    indicates if class name is a registered predicate.

### getRegisteredPredicates

    String[] getRegisteredPredicates(String nameFilter)

  Returns an array of class names of the registered predicates.

  Parameters:
    `nameFilter` - A string filter which can contain the wildcard (*) character and the backslash (/) escape character.
  Returns:
    Array of registered predicate class names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD